#
# spec file for package homebank
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           homebank
Version:        5.0.6
Release:        2.2
Summary:        Application to manage personal accounts
License:        GPL-2.0+
Group:          Productivity/Office/Finance
Url:            http://homebank.free.fr/
Source:         http://homebank.free.fr/public/%{name}-%{version}.tar.gz
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  libofx-devel
# We need the %%mime_database_* macros
BuildRequires:  shared-mime-info
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0) >= 2.34
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.6
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
HomeBank is an application to manage personal accounts at home. The main
concept is to be light, simple and very easy to use. It brings many
features that allows to analyze finances in a detailed way instantly and
dynamically with powerful report tools based on filtering and graphical
charts.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file -G "Personal Accounting" %{name}
%find_lang %{name} %{?no_lang_C}
# Application Registry is obsolete since GNOME 2.8.
rm -r %{buildroot}%{_datadir}/application-registry
rm -r %{buildroot}%{_datadir}/mime-info

%post
%desktop_database_post
%icon_theme_cache_post
%mime_database_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%mime_database_postun

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
# own dir on older version of openSUSE
%if 0%{?suse_version} < 1320
%dir %{_datadir}/appdata/
%endif
%{_datadir}/appdata/homebank.appdata.xml

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sat Dec 26 2015 fcrozat@suse.com
- Update to version 5.0.6:
  + Bugs fixed: lp#1504514, lp#1504359, lp#1503682, lp#1502997,
    lp#1502496, lp#1502444, lp#1502034, lp#1501968, lp#1501962,
    lp#1501144, lp#1501138, lp#1501129, lp#1501098, lp#1500043,
    lp#1498622, lp#1497630, lp#1497521.
- Changes from version 5.0.5:
  + Revert back fix for lp#1464961 inconsistency in internal xfer.
- Changes from version 5.0.4:
  + win32: upgraded to gtk+ 3.16.6.
  + Amount toggle sign button changed from text button to entry
    icon.
  + Added/changed transaction are always showed by default filter.
  + lp#1469424: bank Account window should remember user column
    arrangement.
  + lp#1338052: add option to show x days future ledger txn.
  + lp#1330156: in the ledger, a way to identify graphically the
    past from the future.
  + Bugs fixed: lp#1492634, lp#1475969, lp#1473717, lp#1464961,
    lp#1391506.
* Thu Jun 11 2015 dimstar@opensuse.org
- Update to version 5.0.3:
  + Internal xfer credit should display from account.
  + Button to expand/collapse all in "Manage Categories".
  + Re-design icon "credit vs debit card".
  + Add ability to modify transaction when posting from template.
  + Bugfix: "Save file as". If I change the file name, it does
    not change.
  + Some win32/libofx fixes.
* Thu May  7 2015 zaitor@opensuse.org
- Update to version 5.0.2:
  + Fix importing CSV files automatically creates 3 new accounts.
  + Fix date filter From/To fields not working in Trend time and
    Balance reports.
  + Fix saving cut file name after a dot.
  + Fix budget amount is wrong (seems twice).
  + Fix calendar widget can't be dismissed by clicking on the arrow
    or text entry.
* Tue Apr  7 2015 zaitor@opensuse.org
- Update to version 5.0.1:
  + change: xhb data file format (v1.1).
  + For other changes, please see ChangeLog.
* Tue Feb 10 2015 dimstar@opensuse.org
- Update to version 5.0.0:
  + Migrated to GTK+ 3.0.
  + For other changes, please see ChangeLog.
- Replace gtk2-devel BuildRequires with pkgconfig(gtk+-3.0),
  following upstreams port to GTK+ 3.0.
- Replace glib2-devel BuildRequires with pkgconfig(glib-2.0),
  matching what configure looks for.
* Sun Jan 18 2015 p.drouand@gmail.com
- Update to version 4.6.3:
  + New: enhanced categories completion (complete is done with
    partial match on both categories and subcategories).
  + Change: win32: upgraded to libofx 0.9.9.
  + Bugfixes:
  - lp#1351098 win32: OFX import freeze HomeBank.
  - lp#1349160 layout are not persisted well on maximized
    windows.
* Sun Mar  2 2014 zaitor@opensuse.org
- Update to version 4.5.6:
  + This is a stable maintenance release.
  + Bugs fixed: lp#1285326, lp#1285164, lp#1277622, lp#1276377,
    lp#1275534, lp#1273848.
* Sun Feb  2 2014 zaitor@opensuse.org
- Update to version 4.5.5:
  + Extended number of split from 6 to 10.
  + Bugs fixed: lp#1242274, lp#1238575, lp##1231120, lp#1202503,
    lp#953695, lp#735350, lp#1272760, lp##1270876, lp#1270687,
    lp#1270457, lp#1268026, lp#1267344, lp#1258821, lp#1254544,
    lp#1253004, lp#1252230, lp#1250061, lp#1250057, lp#1235465,
    lp#1234879, lp#773282.
- Changes from version 4.5.4:
  + Scheduled transaction icon was still displayed after a save.
  + Bugs fixed: lp#1230401, lp#1232418.
- Changes from version 4.5.3:
  + Bugs fixed: lp#1225611, lp#1221484, lp#1218644, lp#1216321,
    lp#1216284, lp#1215521, lp#1214077, lp#1213569.
- Changes from version 4.5.2:
  + Bugs fixed: lp#1207156.
- Changes from version 4.5.1:
  + Lot of code warning fix with gcc -Wextra and cppcheck
  + Source code preparation for gtk3 migration.
  + mainwindow, top spending was not refreshed after preferences
    change.
  + Anonymize, bankname/number were not modified.
  + Bugs fixed: lp#1163319, lp#814472, lp#801970, lp#703544,
    lp#559787, lp#331113, lp#1202507, lp#1202503, lp#1197516,
    lp#1195859, lp#1173910, lp#1163749, lp#1163447, lp#1156846,
    lp#1151259, lp#1140903, lp#1138103, lp#1133105, lp#1103668,
    lp#1102896, lp#730319, lp#1099944, lp#1047103.
- Updated translations.
* Thu Jan 24 2013 zaitor@opensuse.org
- Update to version 4.5:
  + Portable version for Windows.
  + Where your money goes mainwindow report.
  + Category split for transactions.
  + New filters for account window.
  + Scheduled append until a day of month.
  + New color scheme for charts.
  + Lots of more features and wishes.
  + Lots of bug fixes.
- Add url to source.
* Fri Jan 20 2012 vuntz@opensuse.org
- Clean up for inclusion in Factory:
  + Create lang subpackage.
  + Use %%suse_update_desktop_file instead of a patch to change the
    .desktop file.
  + Remove application-registry files: those are not used since
    GNOME 2.8.
  + Use %%desktop_database_post(un), %%icon_theme_cache_post(un) and
    %%mime_database_post(un) macros in scriptlets.
* Sun Apr 24 2011 alexandre@exatati.com.br
- Initial package (4.4) for openSUSE.
